From 175998a6ef9a426ed561ddf1747f074e3b74c2d6 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 26 2016 09:25:42 +0000
Subject: [PATCH 444/1001] Fix printing using the print function


---

diff --git a/smart_cache_invalidator.py b/smart_cache_invalidator.py
index b1b32c5..ee8f298 100755
--- a/smart_cache_invalidator.py
+++ b/smart_cache_invalidator.py
@@ -8,6 +8,7 @@ This is really useful for development purposes as it allow seeing changes
 made to a widget without dropping the entire cache database.
 """
 
+from __future__ import print_function
 
 import argparse
 import os
@@ -32,8 +33,8 @@ def do_list(args):
         widget_id = key.split('|')[0]
         widget = hubs.models.Widget.get(session, widget_id)
         if widget:
-            print '- Widget cached %s (#%s) in %s' % (
-                widget.hub_id, widget_id, widget.plugin)
+            print('- Widget cached {0} (#{1}) in {2}'.format(
+                      widget.hub_id, widget_id, widget.plugin))
     db.close()
 
 

